/* unit testing ... */

#include "unity/unity.h"
#include "./ApproximationOfPi.c"

void setUp(void) {
}

void tearDown(void) {
}

void test_grid_points_inside(void) {
  TEST_ASSERT_EQUAL (1, grid_points_inside(0));
  TEST_ASSERT_EQUAL (5, grid_points_inside(1));
  TEST_ASSERT_EQUAL (13, grid_points_inside(2));
}

void test_grid_points_inside_bad(void) {
  TEST_ASSERT_EQUAL (42, grid_points_inside(3));
}

int main(void) {
  UNITY_BEGIN();
  RUN_TEST(test_grid_points_inside);
  RUN_TEST (test_grid_points_inside_bad);
  return UNITY_END();
}
